spring.application.name=classification-service
spring.jpa.properties.hibernate.default_schema=classification_service
server.port=8080

adias.fta.transfertStatusId=4000
pring.cloud.stream.bindings.es-material.destination=es-material
spring.cloud.stream.bindings.es-material.content-type=application/json
spring.cloud.stream.bindings.es-material.group=classif-internal

alis.aggregate.ids.publication.enabled=true
alis.aggregate.publication.enabled=false

spring.cloud.stream.kafka.bindings.es-partial-index-in.consumer.configuration.max.poll.records=1

spring.cloud.stream.bindings.es-partial-index-in.destination=es-aggregate-ids-topic
spring.cloud.stream.bindings.es-partial-index-in.group=classif-internal
spring.cloud.stream.bindings.es-partial-index-in.consumer.concurrency=3
spring.cloud.stream.kafka.bindings.es-partial-index-in.consumer.configuration.max.poll.interval.ms=1800000

adias.fta.auto-classification.after-material-inserted-enabled=true
adias.fta.auto-classification.after-material-updated-enabled=true
adias.fta.auto-classification.allowed-material-types=FG,TM,RAW,INT
adias.fta.auto-classification.after-classification-rule-updated=false

adias.enable.custom-status-automation = false

#keycloak
keycloak.resource=classification
keycloak.credentials.secret=3b183e65-1315-4264-8f7c-013a1a0030d3

# Actuator
management.info.git.mode=full
management.endpoint.env.enabled=true
management.endpoints.web.exposure.include=*
management.metrics.distribution.percentiles-histogram.http.server.requests=true

spring.cloud.stream.bindings.es-in-progress_params.destination=es-in-progress_params-ux
